Subject: Re: [JGIT PATCH 2/2] Add support for remote.name.pushurl

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 23 Jun 2009 09:50:16 -0700

Robin Rosenberg <[email-masked]> wrote:
> s?ndag 21 juni 2009 03:21:56 skrev "Shawn O. Pearce" <[email-masked]>:
> > diff --git a/org.spearce.jgit.pgm/src/org/spearce/jgit/pgm/Push.java b/org.spearce.jgit.pgm/src/org/spearce/jgit/pgm/Push.java
> > index 19d31a1..9364e4a 100644
> > --- a/org.spearce.jgit.pgm/src/org/spearce/jgit/pgm/Push.java
> > +++ b/org.spearce.jgit.pgm/src/org/spearce/jgit/pgm/Push.java
> > @@ -102,7 +102,8 @@ protected void run() throws Exception {
> >  				refSpecs.add(spec.setForceUpdate(true));
> >  		}
> >  
> > -		final List<Transport> transports = Transport.openAll(db, remote);
> > +		final List<Transport> transports;
> > +		transports = Transport.openAll(db, remote, Transport.Operation.PUSH);
> 
> Nit-pick. We usually initialize in one statement. I'll squash that for you.

Actually I did that because otherwise we'd run over 80 columns on
that line.  If you let Eclipse format the code for you, it line
wraps onto a 2nd line anyway.  In such cases I personally just find
this format more readable.  But whatever.
 
-- 
Shawn.